class Program
  {
    public static void Main(string[] args)
    {
      Console.WriteLine("100 različnih majic");
      //kreiramo tabelo s prostorom za 100 majic
      Majica[] tab_majic = new Majica[100];

      int stevec = 0;
      //definiramo naključno število
      Random nak_stev = new Random();

      //definiramo barve, med katerimi bomo naključno izbirali
      Random stevec_barve = new Random();
      string[] barve = {"črna", "bela", "rdeča", "rumena", "oranžna", "modra", "zelena", "oker", "bež", "pink"};

      //definiramo še tabelo za izbiro dolgih ali kratkih rokavov
      Random kaksen_rokav = new Random();
      bool[] rokav = {true, false};

      while (stevec < 100) {
        tab_majic[stevec] = new Majica();
        tab_majic[stevec].velikost = nak_stev.Next(1,6);
        tab_majic[stevec].barva = barve[stevec_barve.Next(0,10)];
        tab_majic[stevec].kratek_rokav = rokav[kaksen_rokav.Next(0,2)];
        stevec++;
      }

      // podatke iz tabele prepišemo na datoteko
      StreamWriter pisemo_na_file;
      pisemo_na_file = File.CreateText("tabela_majic.txt");

      //nastavimo si števec za 100 majic in na datoteko zapišemo majice iz tabele
      stevec = 0;
      while (stevec < 100) {
        pisemo_na_file.WriteLine(tab_majic[stevec].velikost + ";" + tab_majic[stevec].barva + ";" + tab_majic[stevec].kratek_rokav);
        stevec++;
      }
      pisemo_na_file.Close();
      Console.Write("\nIz tabele majic sem napolnil datoteko, pritisni tipko ... \n");
      Console.ReadKey(true);

      //podatke iz datoteke prepišemo v novo tabelo
      StreamReader beremo_iz_file;
      beremo_iz_file = File.OpenText("tabela_majic.txt");
      string beri_vrstica = "";
      beri_vrstica = beremo_iz_file.ReadLine();

      //določimo ločilo med podatki
      char[] locilo = {';'};
      string[] beri_loceno = beri_vrstica.Split(locilo);

      //pripravimo novo tabelo za 100 majic
      Majica[] tab_majic_nova = new Majica[100];

      //po vrsticah beremo iz datoteke, v vrstici ločimo podatke med seboj glede na ločilo
      //in podatke zapišemo v tabelo majic
      stevec = 0;
      while (beri_vrstica != null) {
        beri_loceno = beri_vrstica.Split(locilo);
        tab_majic_nova[stevec] = new Majica();
        for (int x = 0; x < beri_loceno.Length; x++) {
          if (x == 0) {
            tab_majic_nova[stevec].velikost = int.Parse(beri_loceno[x]);
          }
          if (x == 1) {
            tab_majic_nova[stevec].barva = beri_loceno[x];
          }
          if (x == 2) {
            tab_majic_nova[stevec].kratek_rokav = bool.Parse(beri_loceno[x]);
          }
        }
        beri_vrstica = beremo_iz_file.ReadLine();
        stevec++;
      }
      beremo_iz_file.Close();
      Console.Write("\nIz datoteke sem naredil novo tabelo majic, pritisni tipko ... ");
      Console.ReadKey(true);

      //primerjamo začetno tabelo (iz katere smo podatke zapisovali na datoteko)
      //in končno tabelo (v katero smo zapisovali podatke iz datoteke)
      //ker tabel ne moremo primerjati kar z if (tab_majic.Equals(tab_majic_nova)
      //moramo zato napisati zanko in primerjati vsak podatek o vsaki majici iz obeh tabel

      bool uspelo_je = true;
      while (prim_stevec < 100) {
        if (tab_majic[prim_stevec].velikost == tab_majic_nova[prim_stevec].velikost) {
          if (tab_majic[prim_stevec].barva == tab_majic_nova[prim_stevec].barva) {
            if (tab_majic[prim_stevec].kratek_rokav == tab_majic_nova[prim_stevec].kratek_rokav) {
            }
            else {
              uspelo_je = false;
            }
          }
          else {
            uspelo_je = false;
          }
        }
        else{
          uspelo_je = false;
        }
        prim_stevec++;
      }

      //izpišemo na ekran ali nam je uspelo ali ne
      if (uspelo_je == true) {
        Console.WriteLine("\n\nUspelo ti je. Tabeli sta enaki.");
      }
      else {
        Console.WriteLine("\n\nNi ti uspelo. Tabeli nista enaki.");
      }
      Console.ReadKey();
    }
  }
